# Class AutoSchemaReceiver

java.lang.Object
com.thaiopensource.validate.auto.AutoSchemaReceiver

All Implemented Interfaces:
  `SchemaReceiver`

public class AutoSchemaReceiver extends Object implements SchemaReceiver

## Constructor Summary

Constructors
Constructor
Description
`AutoSchemaReceiver(PropertyMap properties, Rewindable rewindable)`

## Method Summary

Modifier and Type
Method
Description
`SchemaFuture`
`installHandlers(XMLReader xr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutoSchemaReceiver

public AutoSchemaReceiver(PropertyMap properties, Rewindable rewindable)

## Method Details

### installHandlers

public SchemaFuture installHandlers(XMLReader xr)

Specified by:
  `installHandlers` in interface `SchemaReceiver`